    import {StatusBar} from 'TableFilter/src/modules/statusBar.js'

public class | source

# StatusBar

## Constructor Summary

Public Constructor
public | constructor (tf: Object) Status bar UI component |

## Member Summary

Public Members
public | onAfterShowMsg : * |
public | onBeforeShowMsg : * |
public | prfxStatus : string |
public | prfxStatusSpan : string |
public | prfxStatusTxt : string |
public | statusBarCloseDelay : number |
public | statusBarCssClass : * |
public | statusBarDiv : * |
public | statusBarSpan : * |
public | statusBarSpanText : * |
public | statusBarText : * |
public | statusBarTgtId : * |
public | tf : * |

## Method Summary

Public Methods
public | destroy () |
public | init () |
public | message (t: string) |

## Public Constructors

### public constructor(tf: Object) source

Status bar UI component

#### Params:

Name | Type | Attribute | Description
tf | Object |  | TableFilter instance

## Public Members

### public onAfterShowMsg: * source

### public onBeforeShowMsg: * source

### public prfxStatus: string source

### public prfxStatusSpan: string source

### public prfxStatusTxt: string source

### public statusBarCloseDelay: number source

### public statusBarCssClass: * source

### public statusBarDiv: * source

### public statusBarSpan: * source

### public statusBarSpanText: * source

### public statusBarText: * source

### public statusBarTgtId: * source

### public tf: * source

## Public Methods

### public destroy() source

### public init() source

### public message(t: string) source

#### Params:

Name | Type | Attribute | Description

t

string

- optional
- default: